<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="mySaqResponseLabel" jhiTranslate="pcidssApp.saqResponse.home.createOrEditLabel">Create or edit a Saq Response</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!saqResponse.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="saqResponse.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.saqResponse.responseInput" for="field_responseInput">Response Input</label>
            <input type="text" class="form-control" name="responseInput" id="field_responseInput"
                [(ngModel)]="saqResponse.responseInput"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.saqResponse.appendixType" for="field_appendixType">Appendix Type</label>
            <input type="text" class="form-control" name="appendixType" id="field_appendixType"
                [(ngModel)]="saqResponse.appendixType"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.saqResponse.appendixData" for="field_appendixData">Appendix Data</label>
            <input type="text" class="form-control" name="appendixData" id="field_appendixData"
                [(ngModel)]="saqResponse.appendixData"  />
        </div>

        <div class="form-group">
            <label jhiTranslate="pcidssApp.saqResponse.saqQuestionId" for="field_saqQuestionId">Saq Question Id</label>
            <select class="form-control" id="field_saqQuestionId" name="saqQuestionId" [(ngModel)]="saqResponse.saqQuestionId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="saqQuestionOption.id === saqResponse.saqQuestionId?.id ? saqResponse.saqQuestionId : saqQuestionOption" *ngFor="let saqQuestionOption of saqQuestion; trackBy: trackSaqQuestionById">{{saqQuestionOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="pcidssApp.saqResponse.requirementWorkStatusId" for="field_requirementWorkStatusId">Requirement Work Status Id</label>
            <select class="form-control" id="field_requirementWorkStatusId" name="requirementWorkStatusId" [(ngModel)]="saqResponse.requirementWorkStatusId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="requirementWorkStatusOption.id === saqResponse.requirementWorkStatusId?.id ? saqResponse.requirementWorkStatusId : requirementWorkStatusOption" *ngFor="let requirementWorkStatusOption of requirementworkstatuses; trackBy: trackRequirementWorkStatusById">{{requirementWorkStatusOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
